> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dashboard Schema



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/applications/{application_spec_id}/dashboards/{dashboard_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/applications/{application_spec_id}/dashboards/{dashboard_id}:
    get:
      tags:
        - MonitoringDashboard
      summary: Get Dashboard Schema
      operationId: GET-V4-/dashboards/{dashboard_id}
      parameters:
        - name: application_spec_id
          in: path
          required: true
          schema:
            type: string
            title: Application Spec Id
        - name: dashboard_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/DashboardID'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dashboard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            dashboard = client.applications.dashboards.retrieve(
                dashboard_id="top_level_dashboard",
                application_spec_id="application_spec_id",
            )
            print(dashboard.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdashboard, err := client.Applications.Dashboards.Get(\n\t\tcontext.TODO(),\n\t\t\"application_spec_id\",\n\t\tsgp.ApplicationDashboardGetParamsDashboardIDTopLevelDashboard,\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", dashboard.ID)\n}\n"
components:
  schemas:
    DashboardID:
      type: string
      enum:
        - top_level_dashboard
        - engagements_dashboard
        - executions_dashboard
        - variant_overview_dashboard
      title: DashboardID
    Dashboard:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        visualizations:
          items:
            $ref: '#/components/schemas/VisualizationDescriptor'
          type: array
          title: Visualizations
      type: object
      required:
        - id
        - title
        - visualizations
      title: Dashboard
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VisualizationDescriptor:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        type:
          $ref: '#/components/schemas/VisualizationType'
        metric_id:
          $ref: '#/components/schemas/MetricID'
        metadata:
          $ref: '#/components/schemas/VisualizationMetadata'
      type: object
      required:
        - id
        - title
        - type
        - metric_id
      title: VisualizationDescriptor
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VisualizationType:
      type: string
      enum:
        - scalar
        - bar
        - stacked_bar
        - line
      title: VisualizationType
    MetricID:
      type: string
      enum:
        - total_requests
        - total_errors
        - total_tokens
        - average_latency
        - p95_latency
        - error_rate
        - average_users
        - aggregated_tokens
        - feedback
        - execution_input_response_tokens
        - execution_average_latency_per_variant
        - execution_error_rate
        - execution_latency_percentile
        - execution_average_latency_per_node
      title: MetricID
    VisualizationMetadata:
      properties:
        is_variant_specific_metric:
          title: Is Variant Specific Metric
          default: false
          type: boolean
        label_title_map:
          title: Label Title Map
          additionalProperties:
            type: string
          type: object
        label_color_map:
          title: Label Color Map
          additionalProperties:
            type: string
          type: object
      type: object
      title: VisualizationMetadata

````